#include <iostream>
#include <Windows.h>
#include <zassimp/importer.h>
#include <tool.h>
#include <filesystem>
#include <io.h>
#include <fcntl.h>

int TestAssimp() {
    SetConsoleOutputCP(CP_UTF8);

    std::filesystem::path file{"C:/Users/amane/Desktop/assimp_test/assimp_test.fbx"};

    std::cout << "exist:" << std::boolalpha << std::filesystem::exists(file) << std::endl;

    Importer imp{};
    Z::Model *data{};
    imp.ImportFromFile(file, &data);

    return 0;
}
